summaryrefslogtreecommitdiff
path: root/tool/release.sh
diff options
context:
space:
mode:
authorusa <usa@b2dd03c8-39d4-4d8f-98ff-823fe69b080e>2013-12-25 16:10:21 +0000
committerusa <usa@b2dd03c8-39d4-4d8f-98ff-823fe69b080e>2013-12-25 16:10:21 +0000
commit52668960c5fb31679af15cd7dc4359a54a81832b (patch)
tree3843d88941fe318c0997a7aea803ab64dd1e9d73 /tool/release.sh
parentda8b79b4c4791549aa31051ca23f7bbb1e7c6e06 (diff)
* tool/release.sh: make symbolic links.
git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@44428 b2dd03c8-39d4-4d8f-98ff-823fe69b080e
Diffstat (limited to 'tool/release.sh')
-rw-r--r--tool/release.sh30
1 files changed, 15 insertions, 15 deletions
diff --git a/tool/release.sh b/tool/release.sh
index 08f1502..dfddd21 100644
--- a/tool/release.sh
+++ b/tool/release.sh
@@ -1,6 +1,7 @@
#!/bin/sh
RUBYDIR=/home/ftp/pub/ruby
+EXTS=.tar.gz .tar.bz2 .zip
releases=`ls ruby-*|grep -o 'ruby-[0-9]\.[0-9]\.[0-9]\(-\(preview\|rc\|p\)[0-9]\{1,4\}\)\?'|uniq`
@@ -8,18 +9,14 @@ releases=`ls ruby-*|grep -o 'ruby-[0-9]\.[0-9]\.[0-9]\(-\(preview\|rc\|p\)[0-9]\
for r in $releases
do
echo "checking files for $r..."
- if ! [ -f $r.tar.gz ];then
- echo "ERROR: $r.tar.gz not found"
- exit 1
- elif ! [ -f $r.tar.bz2 ];then
- echo "ERROR: $r.tar.bz2 not found"
- exit 1
- elif ! [ -f $r.zip ];then
- echo "ERROR: $r.zip not found"
- exit 1
- else
- echo "files are ok"
- fi
+ for ext in $EXTS
+ do
+ if ! [ -f $r$ext ];then
+ echo "ERROR: $r$ext not found"
+ exit 1
+ fi
+ done
+ echo "files are ok"
done
# version directory
@@ -29,7 +26,10 @@ do
dir="${RUBYDIR}/$xy"
echo "$dir"
mkdir -p $dir
- cp $r.tar.gz $dir/$r.tar.gz
- cp $r.tar.bz2 $dir/$r.tar.bz2
- cp $r.zip $dir/$r.zip
+ for ext in (.tar.gz .tar.bz2 .zip)
+ do
+ cp $r$ext $dir/$r$ext
+ ln -s $xy/$r$ext ${RUBYDIR}/$r$ext
+ ln -s $xy/$r$ext ${RUBYDIR}/ruby-$xy-stable$ext
+ done
done